Please enable JavaScript to view this site.

Navigation: Introduction

PHPrunner32x32     PHPRunner manual


System requirements

Scroll Prev Next More

 

Your system should be equipped with the following to run PHPRunner:

Operating system

Windows 10, Windows 8, Windows 7, Windows 2008, Windows Vista.

Browser

Internet Explorer 9 or better.

Web server requirements

Internet Information Services (6.0 or later) or Apache. See How to install local server to learn more about installing a local web server.

PHP 5.3-5.6, PHP 7.

 

Note: PHPRunner comes with a built-in web server, which is convenient for local testing.

Supported databases

MySQL;

Maria DB;

Microsoft SQL Server;

PostgreSQL;

Oracle;

Microsoft Access;

DB2;

Informix;

SQLite;

Any ODBC-enabled database.

Required extensions in php.ini

Extension

Required for

php_zip

Excel export/import

php_gd2

Images manipulation, resizing, thumbnails

php_xml

Charts, Excel export/import

php_curl

SMS functionality (requires PHP 5.6 or higher), Facebook login

php_mysqli

MySQL databases support

php_mbstring

Support of non-English languages

php_com_dotnet

SQL Server/MS Access support

php_ldap

Active Directory/LDAP

php_openssl

Encryption, HTTPS

php_oci8, php_oci8_11.g

Oracle databases support

php_pgsql

Postgre databases support

php_sqlite3

SQLite databases support

php_imap

EmailReader template

 

We also suggest setting write permissions on the following folders:

 

templates_c;

files/images upload folder, usually "files", depends on the settings of the PHPRunner project.

See also:

How to install a local web server (XAMPP)

Working with MS Access databases

Working with Oracle databases

Open Database Connectivity (ODBC)

Connecting to a remote MySQL database